Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_Any_out Class Reference

CORBA_Any_out. More...

`#include <Any.h>`

Collaboration diagram for CORBA_Any_out:

[legend]
List of all members.

## Public Methods
| CORBA_Any_out (CORBA_Any *&p)
| construction from a reference to a CORBA_Any.
| CORBA_Any_out (CORBA_Any_var &p)
| construction from a var.
| CORBA_Any_out (const CORBA_Any_out &s)
| copy constructor.
CORBA_Any_out& | operator= (const CORBA_Any_out &s)
| assignment from a CORBA_Any_out.
CORBA_Any_out& | operator= (CORBA_Any *p)
| assignment from a CORBA_Any.
CORBA_Any_out& | operator= (const CORBA_Any *p)
| assignment from a const CORBA_Any.
| operator CORBA_Any *& ()
| cast.
CORBA_Any*& | ptr (void)
| return underlying instance.
CORBA_Any* | operator-> (void)
## Private Methods
void | operator= (const CORBA_Any_var &)
| assignment from _var disallowed.
## Private Attributes
CORBA_Any*& | ptr_
| Instance.

## Detailed Description

CORBA_Any_out.

The _out class for CORBA_Any. This is used to help in managing the out parameters.

## Constructor & Destructor Documentation

ACE_INLINE CORBA_Any_out::CORBA_Any_out ( | CORBA_Any *& s )

| construction from a reference to a CORBA_Any.

ACE_INLINE CORBA_Any_out::CORBA_Any_out ( | CORBA_Any_var & s )

| construction from a var.

ACE_INLINE CORBA_Any_out::CORBA_Any_out ( | const CORBA_Any_out & s )

| copy constructor.

## Member Function Documentation

ACE_INLINE CORBA_Any_out::operator CORBA_Any *& ( | )

| cast.

ACE_INLINE CORBA_Any * CORBA_Any_out::operator-> ( | void )

void CORBA_Any_out::operator= ( | const CORBA_Any_var & )`[private]`

| assignment from _var disallowed.

ACE_INLINE CORBA_Any_out & CORBA_Any_out::operator= ( | const CORBA_Any * s )

| assignment from a const CORBA_Any.

ACE_INLINE CORBA_Any_out & CORBA_Any_out::operator= ( | CORBA_Any * s )

| assignment from a CORBA_Any.

ACE_INLINE CORBA_Any_out & CORBA_Any_out::operator= ( | const CORBA_Any_out & s )

| assignment from a CORBA_Any_out.

ACE_INLINE CORBA_Any *& CORBA_Any_out::ptr ( | void )

| return underlying instance.

## Member Data Documentation

CORBA_Any *& CORBA_Any_out::ptr_`[private]`

| Instance.

The documentation for this class was generated from the following files:

- Any.h
- Any.i